***

title: get_membership
slug: /reference/python/rest/number-groups/get-membership
description: Retrieve a specific membership.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a specific membership.

<Note>
  This method uses the top-level membership endpoint and takes a membership ID
  directly, not a group ID.
</Note>

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/number_group_memberships/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/number_group_memberships/{id}" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

membership = client.number_groups.get_membership("membership-id")
print(membership.get("phone_number_id"))
```